package com.fjhx.account.entity.transaction.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 往来单位
 * </p>
 *
 * @author
 * @since 2023-06-26
 */
@Getter
@Setter
@TableName("transaction_department")
public class TransactionDepartment extends BasePo {

    /**
     * 名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;


    /**
     * 归属公司id
     */
    private Long companyId;

}
