package com.fjhx.form.controller;

import com.fjhx.form.entity.EmployeeProductivity;
import com.fjhx.form.service.EmployeeProductivityService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/employeeProductivity")
public class EmployeeProductivityController {

    @Autowired
    private EmployeeProductivityService employeeProductivityService;

    /**
     * 员工效率分析
     */
    @PostMapping("/list")
    public List<EmployeeProductivity> list(@RequestBody BaseSelectDto dto) {
        return employeeProductivityService.getList(dto);
    }

    /**
     * 员工效率分析列表统计
     */
    @PostMapping("/listStatistics")
    public EmployeeProductivity listStatistics(@RequestBody BaseSelectDto dto) {
        return employeeProductivityService.getListStatistics(dto);
    }

}
