package com.fjhx.form.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class EmployeeProductivity {
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 邮件发送数
     */
    private Integer sendEmailCount;
    /**
     * 邮件接收数
     */
    private Integer receiveEmailCount;
    /**
     * 制作报价单数
     */
    private Integer quotationCount;
    /**
     * 新客户数
     */
    private Integer newCustomerCount;
    /**
     * 样品单客户数
     */
    private Integer sampleCustomerCount;
    /**
     * 新成交客户数
     */
    private Integer newDealCustomerCount;
    /**
     * 订单客户数
     */
    private Integer contractCustomerCount;
    /**
     * 名下客户数
     */
    private Integer customerCount;
    /**
     * 样品单数
     */
    private Integer sampleCount;
    /**
     * 新客户成单数
     */
    private Integer newCustomerContractCount;
    /**
     * 新客户成单金额
     */
    private BigDecimal newCustomerContractCnyAmount;
    /**
     * 老客户成单数
     */
    private Integer oldCustomerContractCount;
    /**
     * 老客户成单金额
     */
    private BigDecimal oldCustomerContractCnyAmount;
    /**
     * 订单总计
     */
    private Integer contractCount;
}
