package com.fjhx.item.entity.product.bo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.metadata.data.WriteCellData;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ContentRowHeight(50)
public class ProductExcelExportBo {
    @ColumnWidth(10)
    @ExcelProperty("产品图片")
    private WriteCellData<Void> productImg;
    @ColumnWidth(15)
    @ExcelProperty("产品编号")
    private String productCode;
    @ColumnWidth(15)
    @ExcelProperty("产品名称")
    private String productName;
    @ColumnWidth(15)
    @ExcelProperty("产品尺寸")
    private String productSize;
    @ColumnWidth(15)
    @ExcelProperty("产品颜色")
    private String productColor;
    @ColumnWidth(15)
    @ExcelProperty("正面纹路")
    private String frontalTexture;
    @ColumnWidth(15)
    @ExcelProperty("反面纹路")
    private String reverseTexture;
    @ColumnWidth(15)
    @ExcelProperty("生产图片")
    private String prodImgPath;
}
