package com.fjhx.item.entity.product.dto;

import com.fjhx.item.entity.product.po.ProductBomDetail;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * <p>
 * item_产品BOM明细
 * </p>
 *
 * @author
 * @since 2024-01-07
 */
@Getter
@Setter
public class ProductBomInfoDto extends BasePo {

    /**
     * 原材料id
     */
    private Long rawMaterialId;

    /**
     * 产品物料明细列表
     */
    private List<ProductBomDetail> productBomDetailList;

}
