package com.fjhx.item.entity.product.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 产品可用库存修改记录
 * </p>
 *
 * @author
 * @since 2024-01-09
 */
@Getter
@Setter
@TableName("product_available_record")
public class ProductAvailableRecord extends BasePo {

    /**
     * 修改前
     */
    private BigDecimal beforeQuantity;

    /**
     * 修改后
     */
    private BigDecimal afterQuantity;

    /**
     * 修改数量
     */
    private BigDecimal editQuantity;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 业务id
     */
    private Integer businessType;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 归属公司id
     */
    private Long companyId;

}
