package com.fjhx.jushuitan.entity.jushuitan.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 聚水潭配置
 * </p>
 *
 * @author
 * @since 2024-01-18
 */
@Getter
@Setter
@TableName("jushuitan_config")
public class JushuitanConfig extends BasePo {

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * AppKey
     */
    private String appKey;

    /**
     * AppSecret
     */
    private String appSecret;

    /**
     * AccessToken
     */
    private String accessToken;

    /**
     * RefreshToken
     */
    private String refreshToken;

    /**
     * AccessToken有效期
     */
    private Date effectiveDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 部门id
     */
    private Long deptId;

}
