package com.fjhx.jushuitan.mapper.jushuitan;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jushuitan.po.JushuitanConfig;
import com.fjhx.jushuitan.entity.jushuitan.vo.JushuitanConfigVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 聚水潭配置 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-18
 */
public interface JushuitanConfigMapper extends BaseMapper<JushuitanConfig> {

    /**
     * 聚水潭配置分页
     */
    Page<JushuitanConfigVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JushuitanConfig> wrapper);

}
