package com.fjhx.mail.mapper.enterprise;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.enterprise.po.EnterpriseMessage;
import com.fjhx.mail.entity.my.vo.MessageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 企业邮件 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-05-29
 */
@Mapper
public interface EnterpriseMessageMapper extends BaseMapper<EnterpriseMessage> {

    Page<MessageVo> getPage(@Param("page") Page<EnterpriseMessage> page, @Param("ew") QueryWrapper<EnterpriseMessage> wrapper,
                            @Param("tenantId") String tenantId,
                            @Param("keyword") String keyword);

}
