package com.fjhx.mail.mapper.my;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.my.po.MyTagMessage;
import com.fjhx.mail.entity.my.vo.MessageVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 我的标签关联邮件 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-05-29
 */
public interface MyTagMessageMapper extends BaseMapper<MyTagMessage> {

    Page<MessageVo> getPage(@Param("page") Page<Object> page,
                            @Param("ew") IWrapper<MyTagMessage> wrapper,
                            @Param("type") Integer type, @Param("tenantId") String tenantId);

}
