package com.fjhx.mail.mapper.personal;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.my.vo.MessageVo;
import com.fjhx.mail.entity.personal.po.PersonalMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 个人邮件 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-05-29
 */
@Mapper
public interface PersonalMessageMapper extends BaseMapper<PersonalMessage> {

    Page<MessageVo> getPage(@Param("page") Page<PersonalMessage> page, @Param("ew") QueryWrapper<PersonalMessage> wrapper, @Param("tenantId") String tenantId);

}
