package com.fjhx.mail.mapper.signature;

import com.fjhx.mail.entity.signature.po.MailSignature;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mail.entity.signature.vo.MailSignatureVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 签名 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-08-24
 */
public interface MailSignatureMapper extends BaseMapper<MailSignature> {

    /**
     * 签名分页
     */
    Page<MailSignatureVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<MailSignature> wrapper);

}
