package com.fjhx.mes.entity.material.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 生产备料列表查询入参实体
 *
 * @author
 * @since 2024-01-11
 */
@Getter
@Setter
public class MaterialPreparationSelectDto extends BaseSelectDto {

    /**
     * 备料状态 0未备料 1已备料
     */
    private Integer status;

    /**
     * 归属公司
     */
    private Long companyId;

    private List<Long> preparationIdList;

}
