package com.fjhx.mes.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 生产报工明细
 * </p>
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
@TableName("production_reporting_detail")
public class ProductionReportingDetail extends BasePo {

    /**
     * 生产报工id
     */
    private Long productionReportingId;

    /**
     * 生产任务id
     */
    private Long productionTaskId;

    /**
     * 工序id
     */
    private Long productionProcessesId;

    /**
     * 报工数量
     */
    private BigDecimal quantity;

    /**
     * 归属公司id
     */
    private Long companyId;

    /**
     * 报工人Id
     */
    private Long userId;

}
