package com.fjhx.mes.entity.report.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 报损管理
 * </p>
 *
 * @author
 * @since 2024-01-26
 */
@Getter
@Setter
@TableName("report_losses_details")
public class ReportLossesDetails extends BasePo {

    /**
     * 类型 0补单1丢失
     */
    private Integer type;

    /**
     * 生产订单id
     */
    private Long prodOrderId;

    /**
     * 物料id
     */
    private Long materialId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 责任人id逗号分隔
     */
    private String respUserSet;

    /**
     * 备注
     */
    private String remark;

    /**
     * 报损时间
     */
    private String repoTime;

    /**
     * 归属公司
     */
    private Long companyId;

}
