package com.fjhx.mes.entity.technology.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 工艺线路
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Getter
@Setter
@TableName("technology_process_line")
public class TechnologyProcessLine extends BasePo {

    /**
     * 工艺id
     */
    private Long technologyId;

    /**
     * 来源工序id
     */
    private Long sourceProcessesId;

    /**
     * 目标工序id
     */
    private Long targetProcessesId;

}
