package com.fjhx.mes.mapper.material;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.material.po.MaterialPreparation;
import com.fjhx.mes.entity.material.vo.MaterialPreparationVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 生产备料 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-11
 */
public interface MaterialPreparationMapper extends BaseMapper<MaterialPreparation> {

    /**
     * 生产备料分页
     */
    Page<MaterialPreparationVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<MaterialPreparation> wrapper);

    List<MaterialPreparationVo> getList(@Param("ew") IWrapper<MaterialPreparation> wrapper);


}
