package com.fjhx.mes.mapper.production;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.mes.entity.production.po.ProductionTaskProgress;
import com.fjhx.mes.entity.production.vo.ProductionTaskProgressVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 生产任务进度 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-15
 */
@Mapper
public interface ProductionTaskProgressMapper extends BaseMapper<ProductionTaskProgress> {

    /**
     * 获取生产进度列表
     */
    List<ProductionTaskProgressVo> getList(@Param("ew") IWrapper<ProductionTaskProgress> wrapper);

}
