package com.fjhx.purchase.entity.pay.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 采购付款明细
 * </p>
 *
 * @author 
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("pay_detail")
public class PayDetail extends BasePo {

    /**
     * 采购合同id
     */
    private Long purchaseId;

    /**
     * 付款金额
     */
    private BigDecimal money;

    /**
     * 款项说明
     */
    private String remark;

    /**
     * 付款单ID
     */
    private Long payId;

    /**
     * 归属公司id
     */
    private Long companyId;

}
