package com.fjhx.sale.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Setter
@Getter
public class DeptPerfReporting {
    /**
     * 部门Id
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 组Id
     */
    private Long groupId;
    /**
     * 组名称
     */
    private String groupName;
    /**
     * 业务员名称
     */
    private String saleUserName;
    /**
     * 销售订单合计
     */
    private BigDecimal sumContractAmount;
    /**
     * 聚水谭合计
     */
    private BigDecimal sumJstAmount;
    /**
     * 月合计
     */
    private BigDecimal sumAmount;
    /**
     * 月目标金额
     */
    private BigDecimal targetAmount;
    /**
     * 完成率
     */
    private BigDecimal finishRate;
    /**
     * 排名
     */
    private Integer ranking;

    private String dayStr;
}
