package com.fjhx.sale.entity.after.vo;

import com.fjhx.sale.entity.after.po.AfterSales;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * sale_售后管理列表查询返回值实体
 *
 * @author
 * @since 2024-01-31
 */
@Getter
@Setter
public class AfterSalesVo extends AfterSales {

    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;

    /**
     * 售后人员名称
     */
    private String userName;

    /**
     * 合同单号
     */
    private String contractCode;

}
