package com.fjhx.sale.entity.contract.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.sale.entity.contract.po.ContractProduct;
import com.fjhx.sale.entity.contract.po.ContractProductBom;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 外销合同-产品新增编辑入参实体
 *
 * @author
 * @since 2023-04-17
 */
@Getter
@Setter
public class ContractProductDto extends ContractProduct {

    List<ContractProductBom> contractProductBomList;

    /**
     * 生产文件
     */
    private List<ObsFile> prodFileList;

}
