package com.fjhx.sale.entity.ext.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 对外报价单跟进记录
 * </p>
 *
 * @author
 * @since 2024-01-14
 */
@Getter
@Setter
@TableName("ext_quotation_follow")
public class ExtQuotationFollow extends BaseIdPo {

    /**
     * 对外报价单id
     */
    private Long quotationId;

    /**
     * 跟进时间
     */
    private Date followTime;

    /**
     * 跟进 备注
     */
    private String remark;

}
