package com.fjhx.sale.entity.pack.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fjhx.sale.entity.pack.po.PackDetail;
import com.fjhx.sale.entity.pack.po.PackDetailProduct;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 装箱出货明细表	列表查询返回值实体
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
public class PackDetailVo extends PackDetail {

    /**
     * 合同编码+产品名称
     */
    private String codeAPName;

    /**
     * 装箱明细数据JSON
     */
    private String dataJsonList;

    /**
     * 装箱明细IDS
     */
    private String ids;

    private List<PackDetailProductVo> packDetailProductLists;
}
