package com.fjhx.sale.mapper.after;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.after.po.AfterSales;
import com.fjhx.sale.entity.after.vo.AfterSalesVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * sale_售后管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-31
 */
public interface AfterSalesMapper extends BaseMapper<AfterSales> {

    /**
     * sale_售后管理分页
     */
    Page<AfterSalesVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AfterSales> wrapper);

}
