package com.fjhx.sale.service.dept;

import com.alibaba.fastjson2.JSONObject;
import com.fjhx.sale.entity.dept.dto.DeptPerfDto;
import com.fjhx.sale.entity.dept.dto.DeptPerfSelectDto;
import com.fjhx.sale.entity.dept.po.DeptPerf;
import com.fjhx.sale.entity.dept.vo.DeptPerfVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 部门绩效 服务类
 * </p>
 *
 * @author
 * @since 2024-01-21
 */
public interface DeptPerfService extends BaseService<DeptPerf> {

    /**
     * 部门绩效列表
     */
    List<DeptPerfVo> getList(DeptPerfDto dto);

    /**
     * 部门绩效编辑
     */
    void edit(DeptPerfDto deptPerfDto);

    /**
     * 月报表
     */
    List<JSONObject> monthlyReporting(DeptPerfSelectDto dto);
}
