package com.fjhx.sale.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.purchase.dto.PurchaseBackSelectDto;
import com.fjhx.sale.entity.purchase.po.PurchaseBack;
import com.fjhx.sale.entity.purchase.vo.PurchaseBackVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * sale_采购退货 服务类
 * </p>
 *
 * @author
 * @since 2024-01-30
 */
public interface PurchaseBackService extends BaseService<PurchaseBack> {

    /**
     * sale_采购退货分页
     */
    Page<PurchaseBackVo> getPage(PurchaseBackSelectDto dto);

    /**
     * sale_采购退货明细
     */
    PurchaseBackVo detail(Long id);

}
