package com.fjhx.wms.controller.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.dto.StockSnapshotDetailsSelectDto;
import com.fjhx.wms.entity.stock.vo.StockSnapshotDetailsVo;
import com.fjhx.wms.service.stock.StockSnapshotDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 库存快照明细 前端控制器
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
@RestController
@RequestMapping("/stockSnapshotDetails")
public class StockSnapshotDetailsController {

    @Autowired
    private StockSnapshotDetailsService stockSnapshotDetailsService;

    /**
     * 库存快照明细分页
     */
    @PostMapping("/page")
    public Page<StockSnapshotDetailsVo> page(@RequestBody StockSnapshotDetailsSelectDto dto) {
        return stockSnapshotDetailsService.getPage(dto);
    }

}
