package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 库存快照明细
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
@Getter
@Setter
@TableName("stock_snapshot_details")
public class StockSnapshotDetails extends BasePo {

    /**
     * 原库存id
     */
    private Long stockId;

    /**
     * 快照id
     */
    private Long snapshotId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 库存数量
     */
    private BigDecimal quantity;

    /**
     * 不在库库存数量
     */
    private BigDecimal outQuantity;

    /**
     * 归属公司id
     */
    private Long companyId;

}
