package com.fjhx.wms.entity.stock.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 待出入库明细
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
@TableName("stock_wait_details")
public class StockWaitDetails extends BasePo {

    /**
     * 待入库id
     */
    private Long stockWaitId;

    /**
     * 商品id
     */
    private Long productId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 已入库数量
     */
    private BigDecimal receiptQuantity;

    /**
     * 业务明细id
     */
    private Long businessDetailsId;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 待入库明细状态 0待入库 1部分入库 2入库完成
     */
    private Integer status;

    /**
     * 采购明细id
     */
    private Long purchaseDetailId;

}
