package com.fjhx.wms.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.po.StockSnapshotDetails;
import com.fjhx.wms.entity.stock.vo.StockSnapshotDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 库存快照明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
public interface StockSnapshotDetailsMapper extends BaseMapper<StockSnapshotDetails> {

    /**
     * 库存快照明细分页
     */
    Page<StockSnapshotDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockSnapshotDetails> wrapper);

}
