package com.fjhx.wms.mapper.stock;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.po.StockSnapshot;
import com.fjhx.wms.entity.stock.vo.StockSnapshotVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 库存快照 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
public interface StockSnapshotMapper extends BaseMapper<StockSnapshot> {

    /**
     * 库存快照分页
     */
    Page<StockSnapshotVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<StockSnapshot> wrapper);

}
