package com.fjhx.wms.service.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.dto.StockSnapshotSelectDto;
import com.fjhx.wms.entity.stock.po.StockSnapshot;
import com.fjhx.wms.entity.stock.vo.StockSnapshotVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 库存快照 服务类
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
public interface StockSnapshotService extends BaseService<StockSnapshot> {

    /**
     * 库存快照分页
     */
    Page<StockSnapshotVo> getPage(StockSnapshotSelectDto dto);

}
