package com.fjhx.account.entity.account.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 打款记录
 * </p>
 *
 * @author
 * @since 2023-09-04
 */
@Getter
@Setter
@TableName("account_payment_records")
public class AccountPaymentRecords extends BasePo {

    /**
     * 打款id
     */
    private Long accountPaymentId;

    /**
     * 打款账户id
     */
    private Long accountManagementId;
    /**
     * 币种
     */
    private String currency;
    /**
     * 打款金额
     */
    private BigDecimal amount;
    /**
     * 打款时间
     */
    private Date expensesTime;
    /**
     * 是否往来
     */
    private Integer isTransaction;
    /**
     * 摘要
     */
    private String remark;

    /**
     * 归属公司id
     */
    private Long companyId;

}
