package com.fjhx.common.entity.contract.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

/**
 * <p>
 * 合同模板
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
@TableName("contract_template")
public class ContractTemplate extends BasePo {

    /**
     * 模板类型
     */
    private Integer templateType;

    /**
     * 模板名称
     */
    @NotBlank(message = "模板名称不能为空")
    private String templateName;

    /**
     * 模板内容
     */
    private String templateContent;

    /**
     * 归属公司
     */
    private Long companyId;

}
