package com.fjhx.customer.mapper.customer;

import com.fjhx.customer.entity.customer.po.CustomerFollowRecords;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.vo.CustomerFollowRecordsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 客户跟进记录 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface CustomerFollowRecordsMapper extends BaseMapper<CustomerFollowRecords> {

    /**
     * 客户跟进记录分页
     */
    Page<CustomerFollowRecordsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CustomerFollowRecords> wrapper, @Param("id") Long id, @Param("tenantId") String tenantId);

}
