package com.fjhx.item.entity.product.bo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 产品分析实体
 */
@Getter
@Setter
public class ProductAnalysisBo {
    /**
     * 产品id
     */
    private Long productId;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 成单数
     */
    private BigDecimal orderCount;

    //合同统计
    /**
     * 销量
     */
    private BigDecimal saleQuantity;
    /**
     * 销售额
     */
    private BigDecimal saleAmount;
    /**
     * 销售平均单价
     */
    private BigDecimal saleAveragePrice;
    /**
     * 销售最低单价
     */
    private BigDecimal saleMinPrice;
    /**
     * 销售最高单价
     */
    private BigDecimal saleMaxPrice;
    //采购统计
    /**
     * 采购量
     */
    private BigDecimal purchasesQuantity;
    /**
     * 采购金额
     */
    private BigDecimal purchasesAmount;
    /**
     * 采购平均单价
     */
    private BigDecimal purchasesAveragePrice;
    /**
     * 采购最低单价
     */
    private BigDecimal purchasesMinPrice;
    /**
     * 采购最高单价
     */
    private BigDecimal purchasesMaxPrice;

    /**
     * 总利润
     */
    private BigDecimal grossProfit;
}
