package com.fjhx.item.entity.product.po;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class ProductInfoEhsdJson {
    /**
     * 产品名称英文名
     */
    private String nameEnglish;
    /**
     * 销售指导价格
     */
    private BigDecimal price;
    /**
     * 产品成本价
     */
    private BigDecimal costPrice;
    /**
     * 产品尺寸 长
     */
    private String productLong;
    /**
     * 产品尺寸 宽
     */
    private String productWide;
    /**
     * 产品尺寸 高
     */
    private String productHigh;
    /**
     * 内包装方式
     */
    private String innerPackMethod;
    /**
     * 外包装方式
     */
    private String outerPackMethod;
    /**
     * 净重（单位g）
     */
    private Double netWeight;
    /**
     * 海关编码
     */
    private String hsCode;
    /**
     * 客户id
     */
    private String customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 产品类型 1公司产品 2客户产品
     */
    private String type;

    /**
     * 成本币种
     */
    private String costCurrency;
    /**
     * 销售币种
     */
    private String currency;
}
