package com.fjhx.item.entity.product.vo;

import com.fjhx.item.entity.product.po.ProductInfo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 产品库列表查询返回值实体
 *
 * @author zlj
 * @since 2023-03-17
 */
@Getter
@Setter
public class ProductInfoVo extends ProductInfo {

    private String classifyName;

    private List<String> classifyNameGroup;

    /**
     * 生命周期 维多利亚
     */
    private Integer lifeCycle;

    /**
     *销售额
     */
    private BigDecimal contractAmount;

    /**
     * 销售量
     */
    private BigDecimal contractQuantity;

    /**
     * 采购额
     */
    private BigDecimal purchaseAmount;

    /**
     * 采购量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 产品分类列表树
     */
    private String productClassifyNames;

    /**
     * 原材料名称
     */
    private String rawMaterialName;
    /**
     * 原材料编号
     */
    private String rawMaterialCode;

    /**
     * 归属公司名称
     */
    private String companyName;
}
