package com.fjhx.jushuitan.entity.jst.po;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;

import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 聚水潭支付信息表
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
@Getter
@Setter
@TableName("jst_order_pay_info")
public class JstOrderPayInfo extends BasePo {

    private Long orderId;

    /**
     * 外部支付单号
     */
    private String outerPayId;

    /**
     * 支付时间
     */
    private Date payDate;

    /**
     * 支付金额
     */
    private BigDecimal amount;

    /**
     * 支付帐号
     */
    private String buyerAccount;

    private Long oid;

    /**
     * 支付渠道
     */
    private String payment;

    /**
     * 是否支付
     */
    private Boolean isOrderPay;

    private Integer payType;

    /**
     * 支付单ID
     */
    private Integer payId;

    private String status;

}
