package com.fjhx.jushuitan.entity.jushuitan.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fjhx.jushuitan.entity.jst.po.JstOrderInfo;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderInfoVo;
import lombok.Data;

import java.util.List;

@Data
public class JstApiOrderInfoVO {
    Integer code;
    String msg;
    ResponseData data;




    @Data
    public static class ResponseData {
        String requestId;
        @JSONField(name = "page_index")
        String pageIndex;
        @JSONField(name = "has_next")
        boolean hasNext;
        List<JstOrderInfoVo> orders;
        @JSONField(name = "data_count")
        Integer dataCount;
        @JSONField(name = "page_count")
        Integer pageCount;
        @JSONField(name = "page_size")
        Integer pageSize;
    }
}
