package com.fjhx.jushuitan.mapper.jst;

import com.fjhx.jushuitan.entity.jst.po.JstOrderDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 聚水潭订单明细表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
public interface JstOrderDetailMapper extends BaseMapper<JstOrderDetail> {

    /**
     * 聚水潭订单明细表列表
     */
    List<JstOrderDetailVo> getList(@Param("ew") IWrapper<JstOrderDetail> wrapper);

    /**
     * 聚水潭订单明细表分页
     */
    Page<JstOrderDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JstOrderDetail> wrapper);

}
