package com.fjhx.jushuitan.mapper.jst;

import com.fjhx.jushuitan.entity.jst.po.JstOrderInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 聚水潭订单表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
public interface JstOrderInfoMapper extends BaseMapper<JstOrderInfo> {

    /**
     * 聚水潭订单表列表
     */
    List<JstOrderInfoVo> getList(@Param("ew") IWrapper<JstOrderInfo> wrapper);

    /**
     * 聚水潭订单表分页
     */
    Page<JstOrderInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JstOrderInfo> wrapper);

}
