package com.fjhx.jushuitan.mapper.jst;

import com.fjhx.jushuitan.entity.jst.po.JstOrderPayInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.jst.vo.JstOrderPayInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 聚水潭支付信息表 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2024-01-20
 */
public interface JstOrderPayInfoMapper extends BaseMapper<JstOrderPayInfo> {

    /**
     * 聚水潭支付信息表列表
     */
    List<JstOrderPayInfoVo> getList(@Param("ew") IWrapper<JstOrderPayInfo> wrapper);

    /**
     * 聚水潭支付信息表分页
     */
    Page<JstOrderPayInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<JstOrderPayInfo> wrapper);

}
