package com.fjhx.jushuitan.mapper.shop;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.jushuitan.entity.shop.po.ShopInfo;
import com.fjhx.jushuitan.entity.shop.vo.ShopInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 店铺管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-07
 */
public interface ShopInfoMapper extends BaseMapper<ShopInfo> {

    /**
     * 店铺管理分页
     */
    Page<ShopInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ShopInfo> wrapper);

}
