package com.fjhx.mail.entity.my.vo;

import com.fjhx.customer.entity.customer.vo.CustomerVo;
import com.fjhx.mail.entity.message.po.MessageAttachment;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class MessageVo {

    /**
     * id
     */
    private Long id;

    /**
     * 邮件uid
     */
    private Long uid;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 邮件标记
     */
    private String flags = "";

    /**
     * 发件人email
     */
    private String fromEmail;

    /**
     * 发件人名称
     */
    private String fromPersonalName;

    /**
     * 发件类型
     */
    private String fromType;

    /**
     * 发件时间
     */
    private Date sendDate;

    /**
     * 我的文件夹关联邮件id
     */
    private Long myFolderMessageId;

    /**
     * 我的标签关联邮件id
     */
    private Long myTagMessageId;

    /**
     * 客户id
     */
    private Long customerId;

    /**
     * 是否有附件 1是0否
     */
    private Integer isAttachments;

    /**
     * 客户信息
     */
    private CustomerVo customerInfo;

    /**
     * 附件列表
     */
    private List<MessageAttachment> messageAttachmentList;

}
