package com.fjhx.mail.mapper.message;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.mail.entity.message.po.MessageAttachment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 企业邮件附件 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-12-25
 */
@Mapper
public interface MessageAttachmentMapper extends BaseMapper<MessageAttachment> {

    List<MessageAttachment> getList(@Param("ew") QueryWrapper<Object> wrapper, @Param("type") Integer type);

}
