package com.fjhx.mes.entity.material.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 生产备料
 * </p>
 *
 * @author
 * @since 2024-01-11
 */
@Getter
@Setter
@TableName("material_preparation")
public class MaterialPreparation extends BasePo {

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 合同明细id
     */
    private Long contractDetailId;

    /**
     * 生产订单id
     */
    private Long productionOrderId;

    /**
     * 生产订单明细id
     */
    private Long productionOrderDetailId;

    /**
     * 物料id
     */
    private Long materialId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 备料期限
     */
    private Date preparationDeadline;

    /**
     * 投产时间
     */
    private Date productionTime;

    /**
     * 备料状态 0未备料 1已备料
     */
    private Integer status;

    /**
     * 归属公司
     */
    private Long companyId;

}
