package com.fjhx.mes.entity.production.po;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 工序
 * </p>
 *
 * @author
 * @since 2023-03-28
 */
@Getter
@Setter
@TableName("production_processes")
public class ProductionProcesses extends BasePo {

    /**
     * 工序编号
     */
    private String code;

    /**
     * 工序名称
     */
    private String name;

    /**
     * 工序说明
     */
    private String remarks;

    /**
     * 工序文件名
     */
    private String fileName;

    /**
     * 成本价
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal costPrice;
    /**
     * 负载量
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer capacity;

}
