package com.fjhx.mes.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 生产报工
 * </p>
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
@TableName("production_reporting")
public class ProductionReporting extends BasePo {

    /**
     * 生产任务id
     */
    private Long productionTaskId;
    /**
     * 工序id
     */
    private Long productionProcessesId;
    /**
     * 报工数量
     */
    private BigDecimal quantity;
    /**
     * 报工用户列表
     */
    private String userSet;

    /**
     * 归属公司id
     */
    private Long companyId;

}
