package com.fjhx.mes.entity.production.vo;

import com.fjhx.mes.entity.production.po.ProductionOrder;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 生产订单列表查询返回值实体
 *
 * @author
 * @since 2024-01-10
 */
@Getter
@Setter
public class ProductionOrderVo extends ProductionOrder {

    private List<ProductionOrderDetailVo> produceOrderDetailList;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 生产指示
     */
    private String prodTag;

    /**
     * 归属公司名称
     */
    private String companyName;

    /**
     * 是否逾期
     */
    private Integer isOverdue;

    /**
     * 生产备注
     */
    private String prodRemark;

}
