package com.fjhx.mes.entity.technology.dto;

import com.fjhx.mes.entity.applicable.po.ApplicableProducts;
import com.fjhx.mes.entity.technology.po.Technology;
import com.fjhx.mes.entity.technology.po.TechnologyProcessLine;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 工艺新增编辑入参实体
 *
 * @author
 * @since 2023-03-28
 */
@Getter
@Setter
public class TechnologyDto extends Technology {

    /**
     * 适用产品列表
     */
    private List<ApplicableProducts> productList;

    /**
     * 工序列表
     */
    private List<String> processRouteList;

    /**
     * 工艺线路连线列表
     */
    private List<TechnologyProcessLine> technologyProcessLineList;

}
