package com.fjhx.mes.entity.technology.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 工艺
 * </p>
 *
 * @author
 * @since 2023-03-28
 */
@Getter
@Setter
@TableName("technology")
public class Technology extends BasePo {

    /**
     * 工艺名称
     */
    private String name;

    /**
     * 工艺线路
     */
    private String processRoute;

    /**
     * 说明
     */
    private String remarks;

    /**
     * 工艺线路 流程图JSON
     */
    private String nodeObject;

    /**
     * 是否批量模式1是0否
     */
    private Integer isBatchMode;

    /**
     * 生产任务id
     */
    private Long productionTaskId;

}
