package com.fjhx.mes.mapper.production;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.po.ProductionProcesses;
import com.fjhx.mes.entity.production.vo.ProductionProcessesVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 工序 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-03-28
 */
@Mapper
public interface ProductionProcessesMapper extends BaseMapper<ProductionProcesses> {

    /**
     * 工序分页
     */
    Page<ProductionProcessesVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ProductionProcesses> wrapper);

    void updateFileName(@Param("id") Long id, @Param("fileName") String fileName);

    List<ProductionProcessesVo> getProcessesByProductId(@Param("ew") IWrapper<Object> wrapper);

}
