package com.fjhx.mes.mapper.report;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.report.po.ReportLossesDetails;
import com.fjhx.mes.entity.report.vo.ReportLossesDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 报损管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-26
 */
public interface ReportLossesDetailsMapper extends BaseMapper<ReportLossesDetails> {

    /**
     * 报损管理分页
     */
    Page<ReportLossesDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ReportLossesDetails> wrapper);

    JSONObject lossesStatistics(@Param("ew") IWrapper<Object> wrapper);

}
