package com.fjhx.purchase.entity.invoice.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 发票明细
 * </p>
 *
 * @author 
 * @since 2023-04-12
 */
@Getter
@Setter
@TableName("invoice_details")
public class InvoiceDetails extends BasePo {

    /**
     * 发票管理id
     */
    private Long invoiceId;

    /**
     * 合同id
     */
    private Long purchaseId;

    /**
     * 关联金额
     */
    private BigDecimal money;

    /**
     * 备注
     */
    private String remark;

    /**
     * 归属公司id
     */
    private Long companyId;

}
