package com.fjhx.sale.controller.contract;

import com.fjhx.sale.entity.contract.dto.ContractProductBomDto;
import com.fjhx.sale.entity.contract.vo.ContractProductBomVo;
import com.fjhx.sale.service.contract.ContractProductBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 合同产品BOM 前端控制器
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
@RestController
@RequestMapping("/contractProductBom")
public class ContractProductBomController {

    @Autowired
    private ContractProductBomService contractProductBomService;

    @PostMapping("/getList")
    List<ContractProductBomVo> getList(@RequestBody ContractProductBomDto dto) {
        return contractProductBomService.getList(dto);
    }

}
