package com.fjhx.sale.entity.ext.vo;

import com.fjhx.sale.entity.ext.po.ExtQuotation;
import com.fjhx.sale.entity.ext.po.ExtQuotationFollow;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 对外报价单列表查询返回值实体
 *
 * @author
 * @since 2024-01-14
 */
@Getter
@Setter
public class ExtQuotationVo extends ExtQuotation {

    /**
     * 跟进记录列表
     */
    List<ExtQuotationFollow> extQuotationFollowList;
    /**
     * 买方公司名称
     */
    private String buyCorporationName;
    /**
     * 归属公司名称
     */
    private String companyName;
    /**
     * 商品列表
     */
    private List<ExtQuotationProductVo> quotationProductList;
    /**
     * 买方公司国家
     */
    private String buyCountryName;
    /**
     * 买方公司省
     */
    private String buyProvinceName;
    /**
     * 买方公司市
     */
    private String buyCityName;
    /**
     * 卖方公司详细地址
     */
    private String buyDetailedAddress;
    /**
     * 报价趋势
     */
    private List<ExtQuotation> quotationTrendList;

    /**
     * 创建人
     */
    private String userName;

    /**
     * 内部报价单号
     */
    private String internalCode;

}
