package com.fjhx.sale.entity.pack.vo;

import com.fjhx.sale.entity.pack.po.PackDetailProduct;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 装箱出货产品明细表列表查询返回值实体
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
public class PackDetailProductVo extends PackDetailProduct {

    /**
     * 出货时间
     */
    private Date shipmentTime;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 订单编号
     */
    private String contractCode;

    /**
     * 产品图片地址
     */
    private String productImgUrl;

}
