package com.fjhx.sale.entity.purchase.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * ehsd采购表列表查询入参实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class EhsdPurchaseSelectDto extends BaseSelectDto {
    /**
     * 到货状态
     */
    private Integer arrivalStatus;

    /**
     * 付款状态
     */
    private Integer payStatus;

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 采购状态
     */
    private Integer status;

    /**
     * 归属公司
     */
    private Long companyId;
}
