package com.fjhx.sale.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 采购合同-到货计划
 * </p>
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
@TableName("ehsd_purchase_arrival")
public class EhsdPurchaseArrival extends BasePo {

    /**
     * 采购合同ID
     */
    private Long purchaseId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 到货日期
     */
    private Date arrivalTime;

    /**
     * 到货数量
     */
    private BigDecimal quantity;

    /**
     * 备注
     */
    private String remark;

    /**
     * 产品名称
     */
    @TableField(exist = false)
    private String productName;
    /**
     * 产品编号
     */
    @TableField(exist = false)
    private String productCode;

}
