package com.fjhx.sale.entity.purchase.vo;

import com.fjhx.common.entity.documentary.bo.DocumentaryData;
import com.fjhx.common.entity.documentary.vo.DocumentaryRecordVo;
import com.fjhx.purchase.entity.purchase.po.Purchase;
import com.fjhx.sale.entity.purchase.po.EhsdPurchase;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Getter
@Setter
public class EhsdPurchaseDocumentaryVo extends EhsdPurchase implements DocumentaryData {

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 跟单记录
     */
    private Map<Long, List<DocumentaryRecordVo>> documentaryRecord;

}
