package com.fjhx.sale.entity.purchase.vo;

import com.fjhx.sale.entity.purchase.po.PurchaseBackDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * sale_采购退货明细列表查询返回值实体
 *
 * @author
 * @since 2024-01-30
 */
@Getter
@Setter
public class PurchaseBackDetailsVo extends PurchaseBackDetails {

    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

}
