package com.fjhx.sale.entity.sale.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 报价表列表查询入参实体
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
public class SaleQuotationSelectDto extends BaseSelectDto {
//    /**
//     * 审批状态。10:发起。20 驳回。30通过
//     */
//    private String status;
//
//
//    /**
//     * 卖方公司ID
//     */
//    private Long sellCorporationId;

    /**
     * 报价状态 0未报价 1报价中 2已报价
     */
    private Integer quotationStatus;

    /**
     * 归属公司Id
     */
    private Long companyId;

    /**
     * 报价时间
     */
    private Date quotationTimeSta;
    /**
     * 报价时间
     */
    private Date quotationTimeEnd;

    /**
     * 报价单类型
     */
    private Integer type;

    /**
     * 审批状态。10:发起。20 驳回。30通过
     */
    private Integer status;

    /**
     * 是否是报价评估
     */
    private Integer isEstimate;
}
