package com.fjhx.sale.entity.sample.dto;

import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.sale.entity.sample.po.Sample;
import lombok.Getter;
import lombok.Setter;

/**
 * 样品单表新增编辑入参实体
 *
 * @author 
 * @since 2023-05-05
 */
@Getter
@Setter
public class SampleDto extends Sample implements SetCustomizeAreaId {


    /**
     * 省 州ID
     */
    private Long provinceId;

    /**
     * 省州名称
     */
    private String provinceName;


    /**
     * 城市ID
     */
    private Long cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 国家ID
     */
    private Long countryId;

    /**
     * 发起类型 0：正常变更  1：直接审批通过
     */
    private Integer startType;
}
