package com.fjhx.sale.mapper.ext;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.ext.po.ExtQuotation;
import com.fjhx.sale.entity.ext.vo.ExtQuotationVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 对外报价单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-14
 */
public interface ExtQuotationMapper extends BaseMapper<ExtQuotation> {

    /**
     * 对外报价单分页
     */
    Page<ExtQuotationVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ExtQuotation> wrapper);

}
