package com.fjhx.supply.entity.supplier.vo;

import com.fjhx.supply.entity.supplier.po.SupplierPrice;
import lombok.Getter;
import lombok.Setter;

/**
 * 供应商价格列表查询返回值实体
 *
 * @author zlj
 * @since 2023-03-17
 */
@Getter
@Setter
public class SupplierPriceVo extends SupplierPrice {


    /**
     * 货品类型 1产品 2物料
     */
    private Integer definition;

    /**
     * 所属分类id
     */
    private Long productClassifyId;

    /**
     * 所属分类
     */
    private String productClassifyName;

    /**
     * 所属类型
     */
    private String productType;

    /**
     * 货品编码
     */
    private String productCode;

    /**
     * 货品名称
     */
    private String productName;

    /**
     * 规格型号
     */
    private String productSpec;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 供应商类型 1贸易商 2工厂
     */
    private String supplierType;

    /**
     * 供应商名称
     */
    private String supplierName;

    private String companyName;

}
