package com.fjhx.wms.controller.stock;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.stock.dto.StockSnapshotSelectDto;
import com.fjhx.wms.entity.stock.vo.StockSnapshotVo;
import com.fjhx.wms.service.stock.StockSnapshotService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 库存快照 前端控制器
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
@RestController
@RequestMapping("/stockSnapshot")
public class StockSnapshotController {

    @Autowired
    private StockSnapshotService stockSnapshotService;

    /**
     * 库存快照分页
     */
    @PostMapping("/page")
    public Page<StockSnapshotVo> page(@RequestBody StockSnapshotSelectDto dto) {
        return stockSnapshotService.getPage(dto);
    }

}
