package com.fjhx.wms.entity.stock.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 库存列表查询入参实体
 *
 * @author 
 * @since 2023-03-20
 */
@Getter
@Setter
public class StockSelectDto extends BaseSelectDto {

    /**
     * 根据产品id列表过滤
     */
    private List<Long> productIds;

    /**
     * 产品定义
     */
    private Integer definition;

    /**
     * 归属公司id
     */
    private Long companyId;

    /**
     * 产品归属归属id
     */
    private Long productClassifyId;

}
