package com.fjhx.wms.entity.stock.vo;

import com.fjhx.wms.entity.stock.po.StockSnapshotDetails;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 库存快照明细列表查询返回值实体
 *
 * @author
 * @since 2024-01-17
 */
@Getter
@Setter
public class StockSnapshotDetailsVo extends StockSnapshotDetails {

    private Long productClassifyId;
    private String productClassifyName;
    private List<String> productClassifyNameGroup;
    private String productClassifyNames;


    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品编码
     */
    private String productCustomCode;

    /**
     * 产品类型
     */
    private String productType;

    /**
     * 规格型号
     */
    private String productSpec;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 产品定义
     */
    private Integer productDefinition;

    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;

    /**
     * 仓库名称
     */
    private String warehouseName;

}
